Package com.avaya.clientservices.agent

## Enum AgentReasonCodeMode

- java.lang.Object
- - java.lang.Enum<AgentReasonCodeMode>
  - - com.avaya.clientservices.agent.AgentReasonCodeMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentReasonCodeMode>`

      public enum AgentReasonCodeMode
      extends java.lang.Enum<AgentReasonCodeMode>

  Represents policy how agents provide reason codes while performing various agent operations. Reason code policy is administered on contact center solution.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FORCED` | Reason code is required for the agent operation.
    `NONE` | Reason code is not required for the agent operation.
    `OPTIONAL` | A reason code is desired but not required.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentReasonCodeMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentReasonCodeMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AgentReasonCodeMode NONE

      Reason code is not required for the agent operation.

    - #### OPTIONAL

          public static final AgentReasonCodeMode OPTIONAL

      A reason code is desired but not required. If a reason code is not supplied, a default value will be used to complete the agent operation.

    - #### FORCED

          public static final AgentReasonCodeMode FORCED

      Reason code is required for the agent operation.

  - ### Method Detail

    - #### values

          public static AgentReasonCodeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentReasonCodeMode c : AgentReasonCodeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentReasonCodeMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null